#+SETUPFILE: ../../template/level-1.org
#+TITLE: Resume
#+Description: Typical, one-page resume.


* Alan Shea Anderson-Priddy
  :PROPERTIES:
  :UNNUMBERED: t
  :END:

Software Engineer with experience in cryptography, identification, API
designs, system architectures, system administration, migrating
essential systems to maintainable tech stacks, and open source/free
software. Have a strong work ethic and am proactive, responsible,
passionate about designing and implementing SOLID and DRY code. Past
interests and experience in television broadcast, documentaries,
graphics, graphic novels, law enforcement, public safety, military
history, bicycle racing, surfing, and summer camp counseling. Have
United States Citizenship.

Portland, OR | alan at drek dot is

[[https://www.linkedin.com/in/alan-shea-anderson-priddy-aa834617b/][LinkedIn]] | [[https://notabug.org/vaeringjar][Code]] | [[https://drek.is/][Website]]


* Experience
  :PROPERTIES:
  :UNNUMBERED: t
  :END:

- Senior Analyst Programmer, Portland State University, Jan 2014 -
  Present
- Senior Engineer, Moby Corp, Apr 2022 - Oct 2022
- Senior Architect, NexgenID, Oct 2013 - Jun 2020
- Systems Developer, Portland Community College, Sep 2010 - Jan 2014
- Web Developer, Portland State University, Sep 2009 - Jun 2012
- Consultant/Technical Advisor, Aug 2002 - Dec 2010


* Education
  :PROPERTIES:
  :UNNUMBERED: t
  :END:

- Master of Software Engineering, Portland State University, Aug 2013
- Graduate Certificate of Software Engineering, Portland State
  University, Aug 2012
- Bachelor of Art, University of Washington, Jun 2002


* Tech/Skills
  :PROPERTIES:
  :UNNUMBERED: t
  :END:

Python, Haskell, bash, PHP, Perl, SQL, Rust, Go, JavaScript, C#,
C/C++, Java/Groovy, Ruby, COBOL, Pyramid, Starlette, Vue.js,
ASP.NET/.NET Framework/dotnet-core, Yesod, Flask, Django, Rails,
Grails, Cold Fusion, jQuery, Bootstrap, SCSS, Angular, uWSGI, sqlite,
Redis, Nginx, Apache, libsodium, pycrypto, nodejs crypto, pgp/gpg,
openssl, ssh-keygen, RSA, DH, elliptic curves, html, js, css, REST,
SOAP, JSON, YAML, WASM, AWS, Azure, DreamCompute, OpenStack, Docker,
Docker Compose, SDL/2, PyGame, Blender, 3DS Max, Pelican, WordPress,
Drupal, Hakyll, Hugo, Functional Programming, Object-Oriented
Programming, SOLID, DRY, Agile, pass, rsync, Emacs, org-mode, Visual
Studio, Android Studio, Eclipse, Xcode, git, darcs, svn, pandoc, grant
writing, technical papers
